RMIFailureHandler (Java Platform SE 8 )
Keywords: java.rmi.server.RMIFailureHandler interface
Date: 2018-07-01

compact2, compact3
java.rmi.server

## Interface RMIFailureHandler

-     public interface RMIFailureHandler

  An `RMIFailureHandler` can be registered via the `RMISocketFactory.setFailureHandler` call. The `failure` method of the handler is invoked when the RMI runtime is unable to create a `ServerSocket` to listen for incoming calls. The `failure` method returns a boolean indicating whether the runtime should attempt to re-create the `ServerSocket`.
  Since:
    JDK1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `failure(Exception ex)` The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`.

- - ### Method Detail

    - #### failure

          boolean failure(Exception ex)

      The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`. An `RMIFailureHandler` is registered via a call to `RMISocketFacotry.setFailureHandler`. If no failure handler is installed, the default behavior is to attempt to re-create the ServerSocket.
      Parameters:
        `ex` - the exception that occurred during `ServerSocket` creation
      Returns:
        if true, the RMI runtime attempts to retry `ServerSocket` creation
      Since:
        JDK1.1
      See Also:
        `RMISocketFactory.setFailureHandler(RMIFailureHandler)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.